<div class="columns resources">
  <div class="column resources-list">
    <div class="resource" *ngFor="let resource of resources" [ngClass]="{'is-active': this.selectedApis[resource.id]}">
      <button class="resource-title is-mobile" (click)="updateSelectedResource(resource.id)"
        [ngClass]="{'is-active': this.selectedApis[resource.id]}">
        <div class="resource-icon">
          <svg xmlns="http://www.w3.org/2000/svg" id="chevron" viewBox="0 0 15 9">
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
          </svg>
        </div>
        <div class="resource-type">
          <app-icon-format [resourceType]="resource.type"></app-icon-format>
        </div>
        <div class="resource-information">
          <div class="resource-name">
            <span>{{ resource.name }} </span>
            <span class="icon tooltip is-tooltip-multiline pirate-alert"
              [attr.data-tooltip]="getMessageWarning(resource)" *ngIf="getMessageWarning(resource)">
              <span class="fas fa-exclamation-triangle fa-lg"></span>
            </span>
          </div>
          <div class="description-and-formats is-hidden-mobile">
            <span class="resource-description">{{ resource.description }}</span>
            <ng-container *ngFor="let format of resource.formats">
                <app-format-icon [formatName]="format.name" *ngIf="linkformat==format.name"></app-format-icon>
            </ng-container>
          </div>
        </div>
      </button>

      <div class="resource-query column is-12" *ngIf="this.selectedApis[resource.id]">
        <app-resource-queryable [resource]="resource" [metadata]="metadata" [projections]="projections">
        </app-resource-queryable>
      </div>
    </div>
  </div>
</div>
